libzypp: zyppng::ShowMessageRequest Class Reference

libzypp 17.38.14

zyppng::ShowMessageRequest Class Reference

`#include <zypp-core/ng/ui/userrequest.h>`

Inheritance diagram for zyppng::ShowMessageRequest:

## Public Types
enum class | MType { Debug , Info , Warning , Error , Important , Data }
Public Types inherited from zyppng::Base
using | Ptr = std::shared_ptr<Base>
using | WeakPtr = std::weak_ptr<Base>

## Public Member Functions
| ZYPP_DECL_PRIVATE_CONSTR_ARGS (ShowMessageRequest, std::string message, MType mType=MType::Info, UserData data={})
UserRequestType | type () const override
MType | messageType ()
const std::string & | message () const
Public Member Functions inherited from zyppng::UserRequest
| UserRequest (UserData userData={})
| ~UserRequest () override
const UserData & | userData () const
UserData & | userData ()
Public Member Functions inherited from zyppng::Base
| Base ()
virtual | ~Base ()
WeakPtr | parent () const
void | addChild (const Base::Ptr &child)
void | removeChild (const Ptr &child)
const std::unordered_set< Ptr > & | children () const
std::thread::id | threadId () const
template<typename T>
std::vector< std::weak_ptr< T > > | findChildren () const
template<typename T>
std::shared_ptr< T > | shared_this () const
template<typename T>
std::shared_ptr< T > | shared_this ()
template<typename T>
std::weak_ptr< T > | weak_this () const
template<typename T>
std::weak_ptr< T > | weak_this ()
template<typename SenderFunc, typename ReceiverFunc>
auto | connect (SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
std::enable_if_t< std::is_member_function_pointer_v< SenderFunc >, connection > | connectFunc (SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)
void | setData (uint32_t quark, zypp::AutoDispose< void * > data)
void * | data (uint32_t quark)
void | clearData (uint32_t quark)

## Private Attributes
MType | _type = MType::Info
std::string | _message

## Additional Inherited Members
Static Public Member Functions inherited from zyppng::Base
template<typename Obj, typename Functor>
static decltype(auto) | make_base_slot (Obj *o, Functor &&f)
template<typename SenderFunc, typename ReceiverFunc>
static auto | connect (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
static auto | connectFunc (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)
Protected Member Functions inherited from zyppng::Base
| Base (BasePrivate &dd)
Protected Attributes inherited from zyppng::Base
std::unique_ptr< BasePrivate > | d_ptr

## Detailed Description

The ShowMessageRequest class represents a simple informal message that the code needs to print on the users screen

context->sendUserRequest( ShowMessageRequest::create("Repository downloaded") );

Definition at line 71 of file userrequest.h.

## Member Enumeration Documentation

## ◆ MType

enum class zyppng::ShowMessageRequest::MType
| strong

Enumerator
Debug |
Info |
Warning |
Error |
Important |
Data |

Definition at line 76 of file userrequest.h.

## Member Function Documentation

## ◆ ZYPP_DECL_PRIVATE_CONSTR_ARGS()

zyppng::ShowMessageRequest::ZYPP_DECL_PRIVATE_CONSTR_ARGS | ( | ShowMessageRequest | ,
|  | std::string | message,
|  | MType | mType = MType::Info,
|  | UserData | data = {} )

## ◆ type()

UserRequestType zyppng::ShowMessageRequest::type | ( |  | ) | const
| overridevirtual

Implements zyppng::UserRequest.

Definition at line 38 of file userrequest.cc.

## ◆ messageType()

ShowMessageRequest::MType zyppng::ShowMessageRequest::messageType | ( |  | ) |

Definition at line 43 of file userrequest.cc.

## ◆ message()

const std::string & zyppng::ShowMessageRequest::message | ( |  | ) | const

Definition at line 48 of file userrequest.cc.

## Member Data Documentation

## ◆ _type

MType zyppng::ShowMessageRequest::_type = MType::Info
| private

Definition at line 87 of file userrequest.h.

## ◆ _message

std::string zyppng::ShowMessageRequest::_message
| private

Definition at line 88 of file userrequest.h.

The documentation for this class was generated from the following files:

- zypp-core/ng/ui/userrequest.h
- zypp-core/ng/ui/userrequest.cc